Bug 1795035 - [OpenStack] CAPO doesn't report failure if it can't read cloud provider CA cert
Summary: [OpenStack] CAPO doesn't report failure if it can't read cloud provider CA cert
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 15:27 UTC by Martin André
Modified: 2020-05-04 11:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: CAPO doesn't print any errors in the logs when it cannot read the cloud provider CA certificate from the `openshift-config/cloud-provider-config` configmap. Consequence: It makes it difficult to debug if anything goes wrong while retrieving the certificate. Fix: Log the failure before initiating the connection to the cloud provider. Result: It is now easier to troubleshoot issues with self-signed certificates.
Clone Of:
Environment:
Last Closed: 2020-05-04 11:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-openstack pull 80 None closed Bug 1795035: Give reason for not using cloud provider CA cert 2020-04-27 08:50:50 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:27:10 UTC

Description Martin André 2020-01-26 15:27:45 UTC
In the case where CAPO cannot read the cloud provider CA certificate from the `openshift-config/cloud-provider-config` configmap, it should log the failure before initiating the connection to the cloud provider as if no CA cert was specified.

Currently it doesn't print any errors in the logs making it difficult to debug if anything goes wrong while retrieving the certificate.

Comment 2 David Sanz 2020-02-04 09:57:24 UTC
Verified on 4.4.0-0.nightly-2020-02-04-014809

Comment 4 errata-xmlrpc 2020-05-04 11:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.